pro trace_last_movie, wave=wave, nframes=nframes, _extra=_extra, $
		      obsprog=obsprog, waves=waves, prepit=prepit


  ; ============ should use configure_http,/trace ============
tophttp='/DataCenter/www/htdocs/TRACE/
mdir=concat_dir(tophttp,'last_movies')
set_logenv,'path_http',tophttp
set_logenv,'top_http','http://vestige.lmsal.com/TRACE/'
cd,mdir
set_plot,'Z'
; ============================================================

prepit=keyword_set(prepit)
if not keyword_set(waves) then waves=[171,195,284,1216] 
swaves=strtrim(waves,2)

trace_cat,catalog,/last24                            ; use the catalog

if not keyword_set(obsprog) then obsprog='COM.ts1_1st_movie'
if not keyword_set(percent) then percent=100
if not keyword_set(source_area) then source_area=0

allhtml=''

for i=0,n_elements(waves)-1 do begin 
   ss=where(strpos(catalog.obs_prog,obsprog) ne -1    and    $
                   catalog.wave_len eq swave          and    $
                   catalog.percentd ge percent        and    $
                   catalog.sou_area eq source_area,         icnt)

   if icnt gt 0 then begin 
      if n_elements(nframes) eq 0 then nframes=30       
      ss=reverse(ss)                                    ; most recent first
      ss=reverse(ss(0:nframes<(icnt-1)))                ; time->forward
      trace_cat2data,catalog(ss),files,dset,/filedset
      read_trace, files, dset, index, data
      if prepit then trace_prep,index,data,oindex,odata else $
	    data=bytscl(alog10(data- min(data)>1)) 
      eit_colors,([waves(i),304])(waves(i) eq 1216), r,g,b
      tvlct,r,g,b,/get
      stretch,0,200,.7
      special_movie, index, data, r, g, b, /no_html_doc, html=html, $
		     movie_name='TRACE_last_'+swaves(i), _extra=_extra
      allhtml=[allhtml,"<h4>Wavelength: " + swaves(i) + "&#197 </h4>",html]
   endif
endfor

; ================ write the top level html documnet ==============
hdoc=concat_dir(mdir,'last_trace_movies.html')
html_doc,hdoc,/header
file_append,hdoc, allhtml
html_doc,hdoc,/trailer
; =====================================================

return
end
